Subject: Re: [RFC] [PATCH 0/3] Add Regulatory Domain support to d80211

From: Johannes Berg <[email-masked]>
Date: Thu, 26 Oct 2006 16:43:35 +0200

On Thu, 2006-10-26 at 10:35 -0400, Dan Williams wrote:

> >  - I'd like to see a header cleanup, it's necessary. Part of the problem
> >    here is all the sub-ioctl WE foo. Clean that up by moving them into
> >    cfg80211 as required, there's basically one user, wpa_supplicant (and
> >    maybe hostapd), screw the others if there are any

Oh, right, by sub-ioctl I was referring to the mess of the private
ioctls d80211 has for WE, including sub-items again.

> While wpa_supplicant is certainly the main client for stuff directly
> related to setting up a connection, there are quite a few other users of
> general WE calls to pull information out of the card, or to receive scan
> events. 

Of course.

> So if you want maximum compatibility for a limited amount of
> work, you can probably consider wpa_supplicant the only client of
> 
> (s = set, g = get)
> 
> 1) [s|g] ENCODEEXT
> 2) [s|g] AUTH
> 3) [s|g] MLME
> 4) [s] RATE
> 5) [s] FREQ
> 6) [s] SENS
> 7) [s] AP
> 8) [s|g] RTS
> 9) [s|g] FRAG
> 10)[s|g] GENIE
> 11)[s|g] PMKSA

Sounds about right to me. I did actually intend to keep these intact but
drop the private ones with the 10xx sub-numbers.

> 4) [s|g] POWER (power management does this, not wpa_supplicant)

Does it work for any card?

johannes